import Ajax from '../../util/ajax'
import api from '../../util/api'

export default {
  namespaced: true,
  state: {
    userInfo: null
  },
  mutations: {
  },
  actions: {
    getUserInfo (context, payload) { // 获取手机验证码
      return new Promise((resolve, reject) => {
        Ajax(api.user.getUserInfo.url, {
          method: api.user.getUserInfo.method,
          token: payload
        }).then(res => {
          console.log(JSON.stringify(res))
          resolve(res)
        }).catch((res) => {
          reject(res)
        })
      })
    }
  }
}
